## Apache Zeta Components Manual :: Docs For Class ezcWebdavEmptyDisplayInformation

### Webdav::ezcWebdavEmptyDisplayInformation

### Class ezcWebdavEmptyDisplayInformation

Display information with no body.

Used by ezcWebdavTransport to transport information on displaying a response to the browser. This display information does not carry a body.

Source for this file: /Webdav/src/structs/display_information_empty.php

    ezcWebdavDisplayInformation
       |
       --ezcWebdavEmptyDisplayInformation

Version: | //autogentag//

### Member Variables

public ezcWebdavResponse | `$response` Response object to extract headers from.

### Inherited Member Variables

From ezcWebdavDisplayInformation
public | `ezcWebdavDisplayInformation::$body`

### Method Summary

public void | `__construct( $response )` Creates a new struct.

### Inherited Methods

From ezcWebdavDisplayInformation
public void | `ezcWebdavDisplayInformation::__construct()` Creates a new display information.

### Methods

#### __construct

void __construct( ezcWebdavResponse $response )

Creates a new struct.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$response` | ezcWebdavResponse |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavDisplayInformation::__construct()` | Creates a new display information.

Documentation generated by phpDocumentor 1.4.3